import * as React from 'react';
export interface ProviderProps {
    children: React.ReactChild | React.ReactChild[];
}
/**
 *
 * Function to create a global state using React Context API,
 * which returns the ContextProvider and hooks to get the
 * state and updater function
 *
 * @param initialValue Initial value of the state
 */
declare function createSingleRhinoState<T>(initialValue: T): {
    Provider: React.FC<ProviderProps>;
    useStateValue: () => T;
    useStateUpdate: () => React.Dispatch<React.SetStateAction<T>>;
};
export default createSingleRhinoState;
