"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RhinoProvider_1 = require("../RhinoProvider");
/**
 *
 * React hook which returns the stateful value
 * corresponding to the key provided
 * @param key Key which represents the state
 */
function useRhinoValue(key) {
    const stateDataList = RhinoProvider_1.useStateDataList();
    if (key in stateDataList) {
        return stateDataList[key].stateHook();
    }
    throw new Error(`${key} is an invalid key`);
}
exports.default = useRhinoValue;
