"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RhinoProvider_1 = require("../RhinoProvider");
/**
 *
 * React hook which returns a function to update the global state
 * corresponding to the key provided
 * @param key Key which represents the state
 */
function useSetRhinoState(key) {
    const stateDataList = RhinoProvider_1.useStateDataList();
    if (key in stateDataList) {
        return stateDataList[key].updaterHook();
    }
    throw new Error(`${key} is an invalid key`);
}
exports.default = useSetRhinoState;
